View Issue Details

IDProjectCategoryView StatusLast Update
0025803LazarusLazReportpublic2014-03-10 13:30
ReporterLacaKAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Version1.1 (SVN)Product Build 
Target Version1.4Fixed in Version1.3 (SVN) 
Summary0025803: OnUserFunction event handler is not called for nested function
DescriptionWhen I use in report in summary band, expression like:
  [sum(MyFunc(field1))]
and I have defined OnUserFunction event handler for report, for this nested function (MyFunc), event hander is not called
  (but when I use only [MyFunc(field1)] then event handler is invoked)

I did also attempts with Variables:
  [sum(MyVar)]
and I have defined new Variable:
  MyVar=MyFunc(field1)
but OnUserFunction event handler was also not invoked.
  
Additional InformationI need do "conditional sum" in summary band.

I have tried also:
  [sum(if(field1<10,field2,0))]
but it does not work also. May be, that "if" returns string and string cannot be sumed ;-)

Would it be possible add more functions into standard set of internal function like: "strtoint", "strtofloat" so we will be able use:
  [sum(strtofloat(if(field1<10, field2, '0')))]
?
TagsNo tags attached.
Fixed in Revision44374
LazTarget1.4
Widgetset
Attached Files

Activities

Jesus Reyes

2014-03-08 05:27

developer   ~0073543

Things like SUM(MyFunc([Field1],[Field2]), BandName) should now work, please test.

LacaK

2014-03-10 13:30

developer   ~0073598

Seems, that it works as expected.
Thank you very much.

Issue History

Date Modified Username Field Change
2014-03-01 17:58 LacaK New Issue
2014-03-06 08:10 Jesus Reyes Assigned To => Jesus Reyes
2014-03-06 08:10 Jesus Reyes Status new => assigned
2014-03-08 05:27 Jesus Reyes Fixed in Revision => 44374
2014-03-08 05:27 Jesus Reyes LazTarget => 1.4
2014-03-08 05:27 Jesus Reyes Note Added: 0073543
2014-03-08 05:27 Jesus Reyes Status assigned => resolved
2014-03-08 05:27 Jesus Reyes Fixed in Version => 1.3 (SVN)
2014-03-08 05:27 Jesus Reyes Resolution open => fixed
2014-03-08 05:27 Jesus Reyes Target Version => 1.4
2014-03-10 13:30 LacaK Note Added: 0073598
2014-03-10 13:30 LacaK Status resolved => closed